geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From David Jencks <david_jen...@yahoo.com>
Subject Re: Gshell fails to launch on trunk
Date Tue, 11 Mar 2008 22:54:23 GMT

On Mar 11, 2008, at 12:37 PM, Jason Warner wrote:

> I checked out the latest trunk and tried to launch gshell, but  
> found that it failed due to an error in plexus.  The problem seems  
> to be caused by the recent update to using mina 1.1.5.

update of what?
> The 1.0-alpha-1 version of gshell that is being used is telling  
> plexus to look for version 1.1.2 of mina-core.  When it doesn't  
> find it, it blows up and the console isn't launched.  This can be  
> fixed by changing the version of mina that it is searching for in  
> the gsh-classworlds.conf file in the etc directory.

Doesn't that mean the the geronimo configuration for gshell is  
specifying mina-core 1.1.2?  How is gshell specifying something else  
as you say above?
> What would be the proper fix for this?  1.0-alpha-1 is the latest  
> tag.  It looks like trunk was recently updated to use mina-1.1.6.

trunk of what?
>   I imagine we'd have the same problem using a snapshot build of  
> trunk given that there's a version difference.  Is there another  
> way to fix this problem or do we need to move gshell trunk over to  
> 1.1.5 and then include the snapshot build in geronimo trunk?

I don't understand where the problem actually is.  I would start by  
making sure that the version of mina-core that is installed for  
gshell to use is the one specified in etc/sdh-classworlds.conf and  
preferably the same one as in the geronimo repository, if there is  
one.  As long as these are the same I'd expect plexus to be happy.   
Then we can try to figure out what the latest version of mina gshell  
1.0-alpha-1 can work with.

Maybe I'm missing the problem entirely...
thanks
david jencks

>
> Thanks,
>
>
> -- 
> ~Jason Warner


Mime
View raw message